export const chars = {
  A: { key: "KeyA", shift: true },
  "Ä": { key: "KeyA", shift: true, trema: true },
  B: { key: "KeyB", shift: true },
  C: { key: "KeyC", shift: true },
  D: { key: "KeyD", shift: true },
  E: { key: "KeyE", shift: true },
  F: { key: "KeyF", shift: true },
  G: { key: "KeyG", shift: true },
  H: { key: "KeyH", shift: true },
  I: { key: "KeyI", shift: true },
  J: { key: "KeyJ", shift: true },
  K: { key: "KeyK", shift: true },
  L: { key: "KeyL", shift: true },
  M: { key: "KeyM", shift: true },
  N: { key: "KeyN", shift: true },
  O: { key: "KeyO", shift: true },
  "Ö": { key: "KeyO", shift: true, trema: true },
  P: { key: "KeyP", shift: true },
  Q: { key: "KeyQ", shift: true },
  R: { key: "KeyR", shift: true },
  S: { key: "KeyS", shift: true },
  T: { key: "KeyT", shift: true },
  U: { key: "KeyU", shift: true },
  "Ü": { key: "KeyU", shift: true, trema: true }, 
  V: { key: "KeyV", shift: true },
  W: { key: "KeyW", shift: true },
  X: { key: "KeyX", shift: true },
  Y: { key: "KeyZ", shift: true },
  Z: { key: "KeyY", shift: true },
  a: { key: "KeyA" },
  "æ": { key: "KeyA", altRight: true },
  b: { key: "KeyB" },
  c: { key: "KeyC" },
  d: { key: "KeyD" },
  "ð": { key: "KeyD", altRight: true },
  e: { key: "KeyE" },
  f: { key: "KeyF" },
  "đ": { key: "KeyF", altRight: true },
  g: { key: "KeyG" },
  "ŋ": { key: "KeyG", altRight: true },
  h: { key: "KeyH" },
  "ħ": { key: "KeyH", altRight: true },
  i: { key: "KeyI" },
  "→": { key: "KeyI", altRight: true },
  j: { key: "KeyJ" },
  k: { key: "KeyK" },
  "ĸ": { key: "KeyK", altRight: true },
  l: { key: "KeyL" },
  "ł": { key: "KeyL", altRight: true },
  m: { key: "KeyM" },
  "µ": { key: "KeyM", altRight: true },
  n: { key: "KeyN" },
  o: { key: "KeyO" },
  "œ": { key: "KeyO", altRight: true },
  p: { key: "KeyP" },
  "þ": { key: "KeyP", altRight: true },
  q: { key: "KeyQ" },
  r: { key: "KeyR" },
  "¶": { key: "KeyR", altRight: true },
  s: { key: "KeyS" },
  "ß": { key: "KeyS", altRight: true },
  t: { key: "KeyT" },
  "ŧ": { key: "KeyT", altRight: true },
  u: { key: "KeyU" },
  "↓": { key: "KeyU", altRight: true },
  v: { key: "KeyV" },
  "„": { key: "KeyV", altRight: true },
  w: { key: "KeyW" },
  "ſ": { key: "KeyW", altRight: true },
  x: { key: "KeyX" },
  "»": { key: "KeyX", altRight: true },
  y: { key: "KeyZ" },
  "←": { key: "KeyZ", altRight: true },
  z: { key: "KeyY" },
  "«": { key: "KeyY", altRight: true },
  "§": { key: "Backquote" },
  "°": { key: "Backquote", shift: true }, 
  1: { key: "Digit1" },
  "+": { key: "Digit1", shift: true },
  "|": { key: "Digit1", altRight: true },
  2: { key: "Digit2" },
  "\"": { key: "Digit2", shift: true },
  "@": { key: "Digit2", altRight: true },
  3: { key: "Digit3" },
  "*": { key: "Digit3", shift: true },
  "#": { key: "Digit3", altRight: true },
  4: { key: "Digit4" },
  "ç": { key: "Digit4", shift: true },
  "¼": { key: "Digit4", altRight: true },
  5: { key: "Digit5" },
  "%": { key: "Digit5", shift: true },
  "½": { key: "Digit5", altRight: true },
  6: { key: "Digit6" },
  "&": { key: "Digit6", shift: true },
  "¬": { key: "Digit6", altRight: true },
  7: { key: "Digit7" },
  "/": { key: "Digit7", shift: true },
  8: { key: "Digit8" },
  "(": { key: "Digit8", shift: true },
  "¢": { key: "Digit8", altRight: true },
  9: { key: "Digit9" },
  ")": { key: "Digit9", shift: true },
  0: { key: "Digit0" },
  "=": { key: "Digit0", shift: true },
  "'": { key: "Minus" },
  "?": { key: "Minus", shift: true },
  "^": { key: "Equal", space: true }, // dead key
  "`": { key: "Equal", shift: true },
  "~": { key: "Equal", altRight: true, space: true }, // dead key 
  "ü": { key: "BracketLeft" },
  "è": { key: "BracketLeft", shift: true },
  "[": { key: "BracketLeft", altRight: true },
  "!": { key: "BracketRight", shift: true },
  "]": { key: "BracketRight", altRight: true },
  "ö": { key: "Semicolon" },
  "é": { key: "Semicolon", shift: true },
  "ä": { key: "Quote" },
  "à": { key: "Quote", shift: true },
  "{": { key: "Quote", altRight: true },
  "$": { key: "Backslash" },
  "£": { key: "Backslash", shift: true },
  "}": { key: "Backslash", altRight: true },
  ",": { key: "Comma" },
  ";": { key: "Comma", shift: true },
  "•": { key: "Comma", altRight: true },
  ".": { key: "Period" },
  ":": { key: "Period", shift: true },
  "·": { key: "Period", altRight: true },
  "-": { key: "Slash" },
  "_": { key: "Slash", shift: true },
  "<": { key: "IntlBackslash" },
  ">": { key: "IntlBackslash", shift: true },
  "\\": { key: "IntlBackslash", altRight: true },
  "€": { key: "KeyE", altRight: true },
  " ": { key: "Space" },
  "\n": { key: "Enter" },
  Enter: { key: "Enter" },
  Tab: { key: "Tab" },
} as Record<string, { key: string | number; shift?: boolean, altRight?: boolean, space?: boolean, capsLock?: boolean, trema?: boolean }>
